<?php
 $string = str_replace('data:image/png;base64,', '', $_POST['img']);
 $id= $_POST['stock'];
 $data = $_POST['img'];
      list($type, $data) = explode(';', $data);
      list(, $data)  = explode(',', $data);
      $data = base64_decode($data); 
      $time = time();
      if (!file_exists('images/'.$id.'/')) {
        mkdir('images/'.$id.'/', 0777, true);
      }
      file_put_contents('images/'.$id.'/'.'1'.'.png',$data);
      $file ='images/'.$id.'/'.'1'.'.png';
      echo $file;
?>